Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class CFlowMatcher

    java.lang.Object
      org.jboss.aop.pointcut.MatcherHelper
          org.jboss.aop.pointcut.CFlowMatcher

All Implemented Interfaces:
  PointcutExpressionParserVisitor

public class CFlowMatcher
extends MatcherHelper

Comment

Version:
  $Revision: 1.7 $
Author:
  Bill Burke

Field Summary

Fields inherited from class org.jboss.aop.pointcut.MatcherHelper
`manager, start`

Constructor Summary
`CFlowMatcher()`

Method Summary
`boolean` | `matches(ASTCFlowExpression expr, Invocation invocation)`
`protected Boolean` | `resolvePointcut(Pointcut p)`
`Object` | `visit(ASTAndCFlow node, Object left)`
`Object` | `visit(ASTCFlowBoolean node, Object data)`
`Object` | `visit(ASTCFlowExpression node, Object data)`
`Object` | `visit(ASTCFlow node, Object data)`
`Object` | `visit(ASTCompositeCFlow node, Object data)`
`Object` | `visit(ASTNotCFlow node, Object data)`
`Object` | `visit(ASTOrCFlow node, Object left)`
`Object` | `visit(ASTSubCFlow node, Object data)`

Methods inherited from class org.jboss.aop.pointcut.MatcherHelper
`matches, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFlowMatcher

    public CFlowMatcher()

Method Detail

### matches

    public boolean matches(ASTCFlowExpression expr,
                           Invocation invocation)

### resolvePointcut

    protected Boolean resolvePointcut(Pointcut p)

  Specified by:
    `resolvePointcut` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlowExpression node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlowBoolean node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTNotCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCompositeCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTSubCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTAndCFlow node,
                        Object left)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTOrCFlow node,
                        Object left)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

### visit

    public Object visit(ASTCFlow node,
                        Object data)

  Specified by:
    `visit` in interface `PointcutExpressionParserVisitor`
  Overrides:
    `visit` in class `MatcherHelper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.